# $Revision: 1.29.2.2 $, $Date: 2003/04/28 12:51:51 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	MIME
%define	pnam	Lite
Summary:	MIME::Lite perl module
Summary(pl):	Modu perla MIME::Lite
Name:		perl-MIME-Lite
Version:	2.117
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildRequires:	perl-libnet
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIME::Lite is a simple, standalone module for generating MIME messages.

%description -l pl
MIME::Lite jest prostym, samodzielnym moduem sucym do generowania
wiadomoci w formacie MIME.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/MIME/*
%{perl_sitelib}/MIME/Lite.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-MIME-Lite.spec,v $
Revision 1.29.2.2  2003/04/28 12:51:51  ankry
- really rel++

Revision 1.29.2.1  2003/03/13 00:57:56  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.29  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:35:53  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/11/26 00:14:08  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.26  2002/07/10 08:47:56  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.25  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:33:05  depesz
cleanup; revision++

Revision 1.23  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/13 14:18:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.21  2002/02/10 15:28:56  depesz
adapterized

Revision 1.20  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/09/10 12:57:35  mis
- autoupdated to 2.117

Revision 1.18  2001/08/27 11:14:33  mis
- autoupdated to 2.116

Revision 1.17  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.16  2001/04/17 12:12:06  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.15  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.14  2001/04/04 15:38:39  mis
- autoupdated to 2.111

Revision 1.13  2001/03/30 15:08:48  mis
- autoupdated to 2.108

Revision 1.12  2001/03/29 07:53:05  mis
- autoupdated to 2.107

Revision 1.11  2001/02/05 21:34:36  kloczek
- updated to 2.106.

Revision 1.10  2001/01/11 01:59:08  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.9  2000/08/23 01:45:35  kloczek
- updated to 2.102.

Revision 1.8  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
